from pathlib import Path

from ptvp35 import DbManager, KVJson

from .db import AbstractDbFactory, AbstractDbManager


class Ptvp35:
    def from_path(self, path: Path) -> AbstractDbManager:
        return DbManager(path.with_suffix(path.suffix + "ptvp35"), kvfactory=KVJson())


DBF: AbstractDbFactory = Ptvp35()
